import datetime

from django import forms


class DateInput(forms.DateInput):
    input_type = 'date'


class DetailForm(forms.Form):
    start_date = forms.DateField(widget=DateInput)
    end_date = forms.DateField(widget=DateInput)

    def __init__(self, *args, **kwargs):
        super(DetailForm, self).__init__(*args, **kwargs)
        self.fields['start_date'].initial = datetime.date.today() - datetime.timedelta(days=365)
        self.fields['end_date'].initial = datetime.date.today()
