import json
from django.template.defaulttags import register


@register.filter()
def add_class(value, arg):
    return value.as_widget(attrs={'class': arg})


@register.filter()
def add_attribs(value, attribs):
    try:
        attribs = json.loads(attribs)
    except json.JSONDecodeError:
        return value.as_widget()
    return value.as_widget(attrs=attribs)
